package stereoView;	

import java.awt.GraphicsConfiguration;

import javax.media.j3d.Canvas3D;

public class StereoCanvas extends Canvas3D {

	private static final long serialVersionUID = 4353380277326076006L;
	
	private StereoPreferencesPanel p;

	public StereoCanvas(GraphicsConfiguration arg0) {
		super(arg0);
	}

	public void preRender() {
		if (p!=null)
			p.updateEyes();
		super.preRender();
	}
	
	public void setPrefs(StereoPreferencesPanel p) {
		this.p = p;
	}

}
